Skip to main content
GET
/
api
/
calls
/
search
Search calls
curl --request GET \
  --url https://api.recepta.ai/api/v1/api/calls/search \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "calls": [
      {
        "id": "69af1467f97caa0d0e1e13e2",
        "retellId": "call_abc123",
        "callType": "PHONE_CALL",
        "direction": "INBOUND",
        "fromNumber": "+19032466065",
        "toNumber": "+19034851458",
        "status": "ENDED",
        "startTimestamp": "2026-03-09T18:41:43.188Z",
        "endTimestamp": "2026-03-09T18:41:49.664Z",
        "durationMs": 6476,
        "companyId": "69053acd6e4cdf19cb778090",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Query Parameters

q
string

Search query (phone number, agent name, etc.)

status
enum<string>

Filter by call status

Available options:
REGISTERED,
ONGOING,
ENDED,
ERROR

Response

200 - application/json

Search results

success
boolean
Example:

true

data
object